# $Revision: 1.45 $, $Date: 2008/07/27 22:44:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Hotline
Summary:	Net::Hotline - Perl libraries for the Hotline internet client
Summary(pl.UTF-8):	Net::Hotline - biblioteki Perla dla internetowego klienta Hotline
Name:		perl-Net-Hotline
Version:	0.83
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2efc774c5499f1e8919e140e274321c5
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Hotline::Client is a class implementing a Hotline Internet client
in Perl.  It was specifically developed to aid in the creation of Hotline
"bots," although it's suitable for most other tasks as well. Hotline is
an Internet client/server system that's sort of a cross between IRC and
a BBS.  See http://www.hotlinesw.com/ for more information.

%description -l pl.UTF-8
Net::Hotline::Client to klasa implementująca internetowego klienta
Hotline w Perlu. Została zaprojektowana specjalnie, aby pomóc przy
tworzeniu "botów" dla Hotline, ale nadaje się także dla większości
innych zadań. Hotline to internetowy system klient-serwer będący
skrzyżowaniem IRC-a i BBS-u. Więcej informacji można znaleźć pod
adresem <http://www.hotlinesw.com/>.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/Hotline.pm
%dir %{perl_vendorlib}/Net/Hotline
%{perl_vendorlib}/Net/Hotline/*.pm
%{perl_vendorlib}/Net/Hotline/Protocol
%{perl_vendorlib}/auto/Net/Hotline
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Hotline.spec,v $
Revision 1.45  2008/07/27 22:44:15  arekm
- release 4

Revision 1.44  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.43  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.42  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.41  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.40  2004/11/03 22:30:36  paladine
- formatting

Revision 1.39  2004/06/17 22:02:34  qboosh
- pl desc

Revision 1.38  2004/06/13 18:44:55  radek
- informative summary / description/

Revision 1.37  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/27 00:33:14  ankry
- tests added, other fixes

Revision 1.35  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:37:02  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/28 18:09:22  mis
- autoupdated to 0.83

Revision 1.26  2002/07/20 15:04:56  qboosh
- updated to 0.82, removed *.pod

Revision 1.25  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.24  2002/07/11 08:02:08  depesz
- new version; should work; STBR

Revision 1.23  2002/07/10 08:48:07  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:18:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.18  2002/02/10 15:29:40  depesz
adapterized

Revision 1.17  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/07/25 09:11:05  mis
- autoupdated to 0.80

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:13:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/03/20 09:26:59  mis
- autoupdated to 0.79

Revision 1.11  2001/01/19 05:52:06  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.10  2001/01/13 01:00:32  dobrek
-Req:perl>=5.6 ;Realase=2;New rpm automat

Revision 1.9  2000/07/15 14:00:58  kloczek
- release 2.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:19  pius
- updated to 0.78

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
